Newer Version Available

This content describes an older version of this product. View Latest

FlexiPage

Returns a list of Lightning Pages and their details. Information returned includes Lightning Page regions, the components within each region, and each component’s properties, as well as any associated QuickActions. This resource is available in API version 29.0 and later.

These pages are known as FlexiPages in the API, but are referred to as Lightning Pages in the rest of the Salesforce documentation and UI.

Note

Syntax

URI
To return all the details of a Lightning Page, use /vXX.X/flexiPage/ID of Lightning Page.
Formats
JSON, XML
HTTP methods
HEAD, GET
Authentication
Authorization: Bearer token
Parameters
None required

Example

Getting root Lightning Page resource
1curl https://yourInstance.salesforce.com/services/data/v29.0/flexiPage/ -H "Authorization: Bearer token"
Getting a Lightning Page whose name is Deliveries
1curl https://yourInstance.salesforce.com/services/data/v29.0/flexiPage/Deliveries -H "Authorization: Bearer token"
Example request body for /vXX.X/flexiPage/
none required
Example response body for /vXX.X/flexiPage/
1{
2 "urls" : {
3   "flexiPage" : "/services/data/v29.0/flexiPage",
4   "rowTemplate" : "/services/data/v29.0/flexiPage/{Developer Name of FlexiPage}"
5 }
6}
Example request body for /vXX.X/flexiPage/{Developer Name of FlexiPage}
none required
Example response body for /vXX.X/flexiPage/{Developer Name of FlexiPage}

This code example contains quickActionList information. To find out more about quick actions in the REST API, see Quick Actions and SObject Quick Actions.

Note

1[ {
2  "id" : "0M0xx0000000049CAA",
3  "name" : "Deliveries",
4  "label" : "Deliveries",
5  "type" : "AppPage",
6  "regions" : [ {
7    "name" : "main",
8    "components" : [ {
9      "properties" : [ {
10        "name" : "filterName",
11        "value" : "Todays_Deliveries"
12      }, {
13        "name" : "entityName",
14        "value" : "Delivery__c"
15      } ],
16      "typeName" : "filterListCard",
17      "typeNamespace" : "flexipage"
18    }, {
19      "properties" : [ {
20        "name" : "entityNames",
21        "value" : "Delivery__c,Return_Item__c"
22      } ],
23      "typeName" : "recentItems",
24      "typeNamespace" : "flexipage"
25    } ]
26  } ],
27  "quickActionList" : {
28    "quickActionListItems" : [ {
29      "quickActionName" : "New_Delivery",
30      "type" : "Create",
31      "colors" : [ {
32        "color" : "e1be5c",
33        "theme" : "theme4",
34        "context" : "primary"
35      }, {
36        "color" : "AA8E0A",
37        "theme" : "theme3",
38        "context" : "primary"
39      } ],
40      "accessLevelRequired" : null,
41      "globalAction" : true,
42      "miniIconUrl" : "http://{SALESFORCE-APPSERVER-DOMAIN}/img/icon/custom51_100/truck16.png",
43      "label" : "New Delivery",
44      "urls" : {
45        "defaultValuesTemplate" : "/services/data/v29.0/quickActions/New_Delivery/defaultValues/{ID}",
46        "quickAction" : "/services/data/v29.0/quickActions/New_Delivery",
47        "defaultValues" : "/services/data/v29.0/quickActions/New_Delivery/defaultValues",
48        "describe" : "/services/data/v29.0/quickActions/New_Delivery/describe"
49      },
50      "targetSobjectType" : "Delivery__c",
51      "iconUrl" : "http://{SALESFORCE-APPSERVER-DOMAIN}/img/icon/custom51_100/truck32.png",
52      "icons" : [ {
53        "url" : "http://{SALESFORCE-APPSERVER-DOMAIN}/img/icon/custom51_100/truck32.png",
54        "contentType" : "image/png",
55        "theme" : "theme3",
56        "height" : 32,
57        "width" : 32
58      }, {
59        "url" : "http://{SALESFORCE-APPSERVER-DOMAIN}/img/icon/custom51_100/truck16.png",
60        "contentType" : "image/png",
61        "theme" : "theme3",
62        "height" : 16,
63        "width" : 16
64      }, {
65        "url" : "http://{SALESFORCE-APPSERVER-DOMAIN}/img/icon/t4/custom/custom98.svg",
66        "contentType" : "image/svg+xml",
67        "theme" : "theme4",
68        "height" : 0,
69        "width" : 0
70      }, {
71        "url" : "http://{SALESFORCE-APPSERVER-DOMAIN}/img/icon/t4/custom/custom98_60.png",
72        "contentType" : "image/png",
73        "theme" : "theme4",
74        "height" : 60,
75        "width" : 60
76      }, {
77        "url" : "http://{SALESFORCE-APPSERVER-DOMAIN}/img/icon/t4/custom/custom98_120.png",
78        "contentType" : "image/png",
79        "theme" : "theme4",
80        "height" : 120,
81        "width" : 120
82      } ]
83    } ]
84  }
85} ]
In the code sample above:
  • name—the name of the region
  • components—an array of Lightning components in the region
  • properties—an array of properties for the component
  • typeName—the name of the Lightning component
  • typeNamespace—the namespace of the Lightning component